<?php
include("../scripts/connect.php");
   $conexion=conecta_default();
include_once("../scripts/session.php");
   //Validar Session

    $sesion=new Sesion("","","");/*Se crea un objeto nuevo con el privilegio necesario para la pag. actual*/

    if(!$sesion->isValida("4")){ /*Sesion invalida*/

	 header("Location: ../index.php?err=NoSesion");

    }/*no hay sesion*/

    else{

       $dato=explode("|",$_SESSION['usuario']);
       $sesion->setDatos($dato[0],$dato[1],$dato[2]);
       $sesion->setSesion();

    }
    //fin validar session

   $id_cd=$sesion->id;

	 extract($_POST);	 

$q1 = "SELECT idusuarios_ci, nombre FROM usuarios_ci where centro_activo=1";

	   $consultada1 = mysql_query($q1) or die ('Error (Registro No Encontrado): ' . mysql_error());   
	   $consultada3 = mysql_query($q1) or die ('Error (Registro No Encontrado): ' . mysql_error()); 
	   

	echo"<script language=\"JavaScript\" src=\"popcalendar.js\"></script>

     
	<br><center><label style='color:#5C3C12; font-size:28px; font-weight:bold'>Desplazamiento de Producto11</label><br><br>Seleccione una fecha incial y una fecha final <br>haciendo click en los caledarios que se encuentran a la deracha<br><br></center>

	<form name=\"Agrega\" action=\"ventasproducto.php\" method=\"post\">

	<div align=\"center\">

	<table width=\"357\" height=\"120\" border=\"1\">

		<tr>

	<td>

	Fecha Inicial:<td/>

	<td><input type=\"text\" name=\"fecha_i\" value=\"\">&nbsp;<input type=\"image\" src=\"ew_calendar.gif\" onClick=\"popUpCalendar(this, this.form.fecha_i,'yyyy-mm-dd');return false;\"></td>";

	 echo"

							</tr>

							<tr>

	<td>

	Fecha Final:<td/>

	<td><input type=\"text\" name=\"fecha_f\" value=\"\">&nbsp;<input type=\"image\" src=\"ew_calendar.gif\" onClick=\"popUpCalendar(this, this.form.fecha_f,'yyyy-mm-dd');return false;\"></td>";

	 echo"

							</tr>

							

							

	

	

	  <tr><td>

	</td>

	<td></td><td>

	<br><input type=\"submit\" name=\"generar\" id=\"aceptar\" value=\"Generar Compras\" />

	</td></tr>

      </table>

  </div></form>
  
  	<br><center><label style='color:#5C3C12; font-size:28px; font-weight:bold'>Desplazamiento Pedidos Stock</label><br></center>

	<form name=\"Agrega\" action=\"ventasproducto.php\" method=\"post\">

	<div align=\"center\">

	<table width=\"357\" height=\"120\" border=\"1\">

		<tr>

	<td>

	Fecha Inicial:<td/>

	<td><input type=\"text\" name=\"fecha_i\" value=\"\">&nbsp;<input type=\"image\" src=\"ew_calendar.gif\" onClick=\"popUpCalendar(this, this.form.fecha_i,'yyyy-mm-dd');return false;\"></td>";

	 echo"

							</tr>

							<tr>

	<td>

	Fecha Final:<td/>

	<td><input type=\"text\" name=\"fecha_f\" value=\"\">&nbsp;<input type=\"image\" src=\"ew_calendar.gif\" onClick=\"popUpCalendar(this, this.form.fecha_f,'yyyy-mm-dd');return false;\"></td>";

	 echo"

							</tr>

							

							

	

	

	  <tr><td>

	</td>

	<td></td><td>

	<br><input type=\"submit\" name=\"generar\" id=\"aceptar\" value=\"Generar Stock\" />

	</td></tr>

      </table>

  </div></form>
  ";

  echo"<script language=\"JavaScript\" src=\"popcalendar.js\"></script>
	<br><center><label style='color:#5C3C12; font-size:28px; font-weight:bold'>Desplazamiento de producto</label><br><br><br><font color=\"#000099\" size=\"+2\"><b>Reporte General</b></font><br>
	<form name=\"Agrega\" action=\"ventasproducto2.php\" method=\"post\">
	<div align=\"center\">
	<table width=\"357\" height=\"80\" border=\"1\">
		<tr>
	<td>
	Fecha Inicial:<td/>
	<td><input type=\"text\" name=\"fecha_i\" value=\"\">&nbsp;<input type=\"image\" src=\"ew_calendar.gif\" onClick=\"popUpCalendar(this, this.form.fecha_i,'yyyy-mm-dd');return false;\"></td>
							</tr>
							<tr>
	<td>
	Fecha Final:<td/>
	<td><input type=\"text\" name=\"fecha_f\" value=\"\">&nbsp;<input type=\"image\" src=\"ew_calendar.gif\" onClick=\"popUpCalendar(this, this.form.fecha_f,'yyyy-mm-dd');return false;\"></td>
							</tr>
   </tr>
    
    
      <tr>

	<td>

							Centro Dist:<td/>

	<td><select name = \"listacd\"><option value=\"0\">Todos</option>";

							while ($datos = mysql_fetch_array($consultada3))

							{

									echo "<option value=\"".$datos[0]."\">".$datos[0]." ".$datos[1]."</option>\n";

							

							}

							echo"</select></td>

							</tr>
							<tR><tD>Tipo:</td>
							<td></td>
							<td><input type=\"radio\" name=\"venta\" value=0>Por centro de venta<br>
							<input type=\"radio\" name=\"venta\" value=2>Por centro de entrega<br>
							<input type=\"radio\" name=\"venta\" value=1 checked>Por centro y fecha de entrega<br>
							<input type=\"radio\" name=\"venta\" value=5>Reporte Anterior Todos CD<br>
							 ";
//  C. Entrega<input type=\"radio\" name=\"centro\" value=\"1\"> 
							echo"</td>
							</tr>
      </table><input type=hidden name=continua value=5 />
	<br><input type=\"submit\" name=\"generar\" id=\"aceptar\" value=\"Generar Desplazamiento\" />
  </div></form>";
  

  @$fecha1 =$_POST['fecha_i'];

  @$fecha2 =$_POST['fecha_f'];

  





  if($generar=="Generar Compras"){



$vta_total=0;

 

$q2 = "select sum(cant), nombreprod, cdentrega, id_prod from pedido join transacciones on (transacciones.idtransacciones=pedido.transacciones_idtransacciones) join productos on (productos.id_prod=pedido.productos_idprod) where cdentrega=\"$id_cd\"  and (statusentrega='ENTREGADO' or statusentrega='EMPACADO') and (tipostr_idtipostr=10 or tipostr_idtipostr=11 or tipostr_idtipostr=6 or tipostr_idtipostr=13) and fechae between \"$fecha1\" and \"$fecha2\" group by productos_idprod ";

  
$c2 = mysql_query($q2) or die ('Error en la consulta1' . mysql_error());
  echo"<center><br><table border=\"1\"> <tr>
			<th>Cantidad</th><th>Producto</th><th>id_prod</th>
			</tr>";
  for($i=0;$r1 = mysql_fetch_row($c2);$i++)
   {
	   $a0 = $r1[0];
	   $a1 = $r1[1];
	   $a2 = $r1[2];
	   $a3 = $r1[3];
	 $a4 = $r1[4];
	  $elcd=$id_cd;
	   $tot=$a0*$a2;
	   $vta_total+=$tot;
	  
echo"<tr><td>$a0</td><td>$a1</td><td>$a3</td></tr>";
	}
	
	echo"</table><br>";

	

  }

   if($generar=="Generar Stock"){ 

 	$qPP = "select fechat, idtransacciones, id_prod, nombreProd, cant as eltot from pedido join productos on pedido.productos_idprod=productos.id_prod join transacciones on pedido.transacciones_idtransacciones=transacciones.idtransacciones join depositos on transacciones.idtransacciones=depositos.transacciones_idtransacciones where `usuarios_ci_idusuarios_ci`=$id_cd and `tipostr_idtipostr`=5 and status='ENTREGADO' and fechat between \"$fecha1\" and \"$fecha2\" ";
	

$rPP = mysql_query($qPP) or die ('ErrPP: '. mysql_error());
  
if(mysql_affected_rows($conexion))
{
	echo "
				<center><font size=\"+1\"><b>Resumen de entradas por pedidos de stock</b></font>
	<br><br><table border=\"1\" align=\"center\"><tr bgcolor=\"#594106\"><th><font color=\"#FFFFFF\">Fecha</font></th><th><font color=\"#FFFFFF\">Transacc</font></th><th><font color=\"#FFFFFF\">Id</font></th><th><font color=\"#FFFFFF\">Producto</font></th><th><font color=\"#FFFFFF\">Cantidad</font></th></tr>";
	
	while (($objetoPP=mysql_fetch_object($rPP)) )
{

	echo "<tr bgcolor=\"#ece3bb\">
			 <td>$objetoPP->fechat</td><td>$objetoPP->idtransacciones</td><td>$objetoPP->id_prod</td><td align=\"center\">$objetoPP->nombreProd</td><td> $objetoPP->eltot</td>";
             
			
       
	echo"
		  </tr> ";

		    
}
	
   
   
   echo"</table><br><br>";
   
   
   
   
}
$qPP = "select idtransacciones, fechat, usuarios_ci_idusuarios_ci, id_prod, nombreProd, cant as eltot from pedido join productos on pedido.productos_idprod=productos.id_prod join transacciones on pedido.transacciones_idtransacciones=transacciones.idtransacciones join depositos on transacciones.idtransacciones=depositos.transacciones_idtransacciones where centros_idcd=$id_cd and `tipostr_idtipostr`=5 and (status='ENTREGADO' or status='AUTORIZADO') and fechat between \"$fecha1\" and \"$fecha2\"";
	

$rPP = mysql_query($qPP) or die ('ErrPP: '. mysql_error());
  
if(mysql_affected_rows($conexion))
{
	echo "
				<center><font size=\"+1\"><b>Resumen de salidas por pedidos de stock</b></font>
	<br><br><table border=\"1\" align=\"center\"><tr bgcolor=\"#594106\"><th><font color=\"#FFFFFF\">Fecha</font></th><th><font color=\"#FFFFFF\">CD</font></th><th><font color=\"#FFFFFF\">Transacc</font></th><th><font color=\"#FFFFFF\">Id</font></th><th><font color=\"#FFFFFF\">Producto</font></th><th><font color=\"#FFFFFF\">Cantidad</font></th></tr>";
	
	while (($objetoPP=mysql_fetch_object($rPP)) )
{

	echo "<tr bgcolor=\"#ece3bb\">
			<td>$objetoPP->fechat</td><td>$objetoPP->usuarios_ci_idusuarios_ci</td> <td>$objetoPP->idtransacciones</td><td>$objetoPP->id_prod</td><td align=\"center\">$objetoPP->nombreProd</td><td> $objetoPP->eltot</td>";
             
			
       
	echo"
		  </tr> ";

		    
}
	
   
   
   echo"</table><br><br>";
   
   
   
   
}
 
 
  
}
?>